AMULECMD(1)

NAME
amulecmd - Programma basato su console per controllare aMule

SYNOPSIS
amulecmd [-h <host>] [-p <port>] [-P <passwd>] [-f <path>] [-q] [-v] [-l <lang>] [-w] [-c <command>]

amulecmd --create-config-from=<path>

amulecmd [--help]

amulecmd [--version]

DESCRIZIONE
amulecmd è un client basato su console per controllare aMule.

-h, --host=<host>
    Host in cui aMule è in esecuzione (predefinito: localhost). <host> potrebbe essere un indirizzo IP o un nome DNS

-p, --port=<port>
    Porta di aMule per connessioni esterne, come impostato in Preferenze->Controlli remoti (predefinito: 4712)

-P, --password=<passwd>
    Password di connessioni esterne

-f, --config-file=<path>
    Utilizza il file di configurazione dato. Il file di configurazione predefinito è ~/.aMule/remote.conf

-q, --quiet
    Non mostrare alcun output in stdout. Ciò sembra un'opzione molto inutile con amulecmd.

-v, --verbose
    Sii prolisso - mostra anche messaggi di debug

-l, --locale=<lang>
    Imposta il locale del programma (linguaggio). Consulta la sezione LANGUAGES per la descrizione del parametro <lang>.

-w, --write-config
    Scrivi le opzioni della linea di comando nel file di configurazione ed esci

-c, --command=<command>
    Esegui <command> come se fosse stato inserito nel prompt di amulecmd ed esci.

--create-config-from=<path>
    Crea un file di configurazione basato su <path>, che deve puntare su un file di configurazione di aMule valido, e poi esce

--help
    Mostra una breve descrizione di utilizzo.

--version
    Mostra il numero di versione corrente.

COMMANDS
Tutti i comandi non dipendono dal caps lock.

  Add <ed2k-link>
Aggiunge un collegamento ed2k al nucleo. Il collegamento ed2k da aggiungere può essere:
*) un collegamento file (ed2k://|file|...), sarà aggiunto alla coda degli scaricamenti;
*) un collegamento server (ed2k://|server|...), sarà aggiunto all'elenco dei server;
*) oppure un collegamento di un elenco di server, nel cui caso tutti i server nell'elenco saranno aggiunti all'elenco dei server. Questo comando deve avere un argomento.

  Cancel <hash>
Annulla lo scaricamento specificato dall'hash. Per ottenere l'hash utilizza show.

  Connect (kad|ed2k<ip|name>)
Connettiti alla rete. This will connect to all networks that are enabled in Preferences. When giving ed2k as parameter, it connects only to ed2k-network to servers in your serverlist. You may also optionally specify a server address in IP:Port form, to connect to that server only. The IP must be a dotted decimal IPv4 address, or a resolvable DNS name. When giving kad, it connects to Kad only.

  Disconnect (ed2k|kad)
Disconnettiti da tutte le reti a cui sei conesso, o semplicemente disconnettiti dalla rete specificata.

  Download num
Avvia lo scaricamento di un file. The number of a file from the last search has to be given. Example: 'download 12' will start to download the file with the number 12 of the previous search. Questo comando deve avere un argomento.

  Exit
Disconnect from amule/amuled and quit amulecmd.

  Get value
Ottieni e mostra un valore di preferenza. Questo comando è incompleto, valori disponibili sono elencati qua sotto. Valori disponibili per ottenere:
BwLimits    Ottieni i limiti della larghezza della banda.
IPFilter    Ottieni le preferenze IPFilter.

  Help <command>
Ottieni un breve aiuto. If called without parameter, it shows a list of available commands. If called with <command>, it shows a short description of the given command.

  Pause <hash>
Pauses the download specified by hash. To get the hash use show.

  Progress
Shows the progress of an on-going search. Questo comando non può avere un argomento.

  Quit
Esce dall'applicazione. Questo comando non può avere un argomento.

  Reload
Ricarica un oggetto dato. Questo comando è incompleto, valori disponibili sono elencati qua sotto. Valori disponibili da ottenere:
BwLimits    Reload bandwidth limits.
IPFilter    Reload IPFilter preferences.

  Reset
Reset the log. Questo comando non può avere un argomento.

  Results
Shows you the results of the last search. Questo comando non può avere un argomento.

  Resume <hash>
Resumes the download specified by hash. To get the hash use show.

  Search global|kad|local file
Makes a search for the given file. A searchtype and a file to search is mandatory to do this. Example 'search kad amule' performs a kad search for amule. Available searchtypes:
global    performs a global search
kad    performs a search on kad network
local    performs a local search

  Set <value>
Imposta un valore di preferenze dato. This command is incomplete, available values are listed below. Available values to get:
BwLimits    Set bandwidth limits.
IPFilter    Set IPFilter preferences.

  Show DL|Log|Servers|UL
Shows upload/download queue, servers list or shared files list. Questo comando deve avere un argomento. This command is incomplete, you must use one of the extensions below. Estensioni disponibili:
DL    Mostra coda scaricamenti.
Log    Mostra registro.
Servers    Mostra elenco server.
UL    Mostra coda caricamenti.

  Shutdown
Shutdown the remote running core (amule/amuled). This will also shut down the text client, since it is unusable without a running core. This command can't have an argument.

  Statistics <num>
Show statistics tree. The optional number in the range of 0-255 can be passed as argument to this command, which tells how many entries of the client version subtree should be shown. Passing 0, or omitting it means 'unlimited'. Example: 'statistics 5' will show only the top 5 versions for each client type.

  Status
Show connection status, current up/download speeds, etc.

NOTE

  Percorsi
For all options which take a <path> value, if the path contains no directory part (i.e. just a plain filename), then it is considered to be under the aMule configuration directory, ~/.aMule.

  LANGUAGES
The <lang> parameter for the -l option has the following form: lang[_LANG][.encoding][@modifier] where lang is the primary language, LANG is a sublanguage/territory, encoding is the character set to use and modifier "allows the user to select a specific instance of localization data within a single category".

Per esempio, le stringhe seguenti sono valide:
de
de_DE
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Though all the above strings are accepted as valid language definitions, encoding and modifier are yet unused.

In addition to the format above, you can also specify full language names in English - so -l german is also valid and is equal to -l de_DE.

When no locale is defined, either on command-line or in config file, system default language will be used.

FILE
~/.aMule/remote.conf

ESEMPIO
Di norma amulecmd sarà eseguito inizialmente come:

amulecmd -h hostname -p ECport -P ECpassword -w

or

amulecmd --create-config-from=/home/username/.aMule/amule.conf

These will save settings to $HOME/.aMule/remote.conf, and later you only need to type:

amulecmd

Ovviamente, non devi seguire questo esempio.

SEGNALARE BUG
Please report bugs either on our forum (http://forum.amule.org/), or in our bugtracker (http://bugs.amule.org/). Please do not report bugs in e-mail, neither to our mailing list nor directly to any team member.

COPYRIGHT
aMule and all of its related utilities are distributed under the GNU General Public License.

SEE ALSO
amule(1), amuleweb(1)